<?php


class InXpress_InXpress_Adminhtml_IndexController extends Mage_Adminhtml_Controller_Action
{
    protected function _isAllowed()
    {
        return Mage::getSingleton('admin/session')
        ->isAllowed('system/config');
    }

    public function indexAction()
    {
        //$app_url = 'http://localhost:8080/';
        $app_url = 'https://portal.inxpressapps.com/';

        $store_id = Mage::getStoreConfig('system/inxpress/store_id');

        if ($store_id) {
            $this->_redirectUrl($app_url . 'store/' . $store_id);
        } elseif ($this->_GET('registered') === "true") {
            $store_id = $this->_GET('store_id');

            Mage::getModel('core/config')->saveConfig('system/inxpress/store_id', $store_id);
            Mage::getModel('core/config')->cleanCache();

            $this->_redirectUrl($app_url . 'store/'. $store_id);
        } else {
            $site_url = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB);
            $callback_url = Mage::helper('core/url')->getCurrentUrl();
            $plan = 'Magento ' . Mage::getEdition() . ' (v' . Mage::getVersion() . ')';

            $redirect = $app_url . 'register?platform=Magento&url=' . $site_url . '&plan=' . $plan . '&callback_url=' . $callback_url;

            $this->_redirectUrl($redirect);
        }
    }

    protected function _GET($par)
    {
        return filter_input(INPUT_GET, $par, FILTER_SANITIZE_STRING);
    }
}
